

#include "project.h"
#include "BLEeventhandler.h"
#include <stdio.h>

int main(void)
{
    UART_Start();
    __enable_irq();                         /* Enable global interrupts. */
    
    Cy_BLE_Start(StackEventHandler);        /* Start the BLE component and register StackEventHandler function */

    UART_PutString("\r\n*************************************************************   \r\n");
    UART_PutString("\r\n*                                                           *     \r\n");
    UART_PutString("\r\n*                       BLE Lab 1b                          *     \r\n");
    UART_PutString("\r\n*                    IAS BLE Central                        *     \r\n");
    UART_PutString("\r\n*                                                           *     \r\n");
    UART_PutString("\r\n*             Press L to view the command list              *     \r\n");
    UART_PutString("\r\n*                                                           *     \r\n");
    UART_PutString("\r\n*************************************************************   \r\n");
    int i=0;
    
    for(;;)
    {
        Cy_BLE_ProcessEvents();
        
            
            printf("%d",i);
            CyDelay(10);
            i++;
    }
}




